%define name	kxicq2
%define version 0.7.6
%define release 1rph

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Summary:	KXicq2 for KDE2 - the KDE2 ICQ client
Requires:	kdebase >= 2.0
Obsoletes:	kxicq
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libxpm-devel
Group:		Networking/Instant messaging
URL:		http://www.kxicq.org
Packager:	Darwin Gottfried <dejg@rpmhelp.net>

%description
KXicq2 is the kDE2 ICQ client.

This is a fully working version of KXicq2, with mostly used features like 
messaging, url sending, contact exchanging and information receiving working 
fully. It supports colored messages, floating Contacts, visible and invisible 
lists. It has fully support for the ICQ authorization features, which also 
can be turned off. It has also group support, SMS support and much more !


%prep
%setup -q 


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make -f Makefile.cvs
# this package really doesn't like our configure, make, and makeinstall
# macros!!!
CFLAGS="%{optflags}"; export CFLAGS
./configure --prefix=%{_prefix} --target=%{_target}
make


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Internet
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/applnk/Internet


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/*
%{_datadir}/apps/kxicq2/pics/*
%{_sysconfdir}/X11/applnk/Internet/kxicq2.desktop


%changelog
* Thu Apr 25 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.7.6-2rph
- first build for rpmhelp.net from Darwin Gottfried <dejg@rpmhelp.net>
- some specfile cleanups
- BuildRequires: libxpm-devel
- fix Group

* Wed Apr 17 2002 Darwin Gottfried <dejg@rpmhelp.net>
- First build for RPMHelp.net

* Sat Jan 05 2002 Herwin Jan Steehouwer <steehouwer@kde.org>
- lots of changes, see ChangeLog
